Index: /branches/avi_play/src/lib/graphics/importer/movie_player.cc
===================================================================
--- /branches/avi_play/src/lib/graphics/importer/movie_player.cc	(revision 6610)
+++ /branches/avi_play/src/lib/graphics/importer/movie_player.cc	(revision 6611)
@@ -62,6 +62,4 @@
   av_free(frame);
 
-  avcodec_default_free_buffers(codec_context);
-
   // Close the codec
   avcodec_close(codec_context);
@@ -80,15 +78,4 @@
   frame_number = 0;
   loading = false;
-
-  /*material = new Material;
-  material->setDiffuseMap("maps/radialTransparency.png");
-
-  model = new PrimitiveModel(PRIM_PLANE, 10.0);
-
-  LightManager* lightMan = LightManager::getInstance();
-  lightMan->setAmbientColor(.1,.1,.1);
-  (new Light())->setAbsCoor(5.0, 10.0, 40.0);
-  (new Light())->setAbsCoor(-10, -20, -100);
-  */
 }
 
@@ -344,8 +331,4 @@
     status = PLAY;
     timer = 0;
-
-    this->gotoFrame(start_frame);
-
-    PRINTF(0)("start\n");
   }
 }
@@ -354,8 +337,5 @@
 {
   if(status == PAUSE)
-  {
     status = PLAY;
-    PRINTF(0)("resume\n");
-  }
 }
 
@@ -363,8 +343,5 @@
 {
   if(status == PLAY)
-  {
     status = PAUSE;
-    PRINTF(0)("pause\n");
-  }
 }
 
@@ -372,6 +349,4 @@
 {
   status = STOP;
-
-  PRINTF(0)("stop\n");
 }
 
@@ -389,16 +364,6 @@
         this->skipFrame(actual_frame - frame_number - 1);
     }
-    //PRINTF(0)("frame_number: %i\n", frame_number);
-  }
-}
-
-/*const void MoviePlayer::draw()
-{
-  material->select();
-  glBindTexture(GL_TEXTURE_2D, texture);
-  model->draw();
-
-  LightManager::getInstance()->draw();
-}*/
+  }
+}
 
 GLuint MoviePlayer::getTexture()
Index: /branches/avi_play/src/lib/graphics/importer/movie_player.h
===================================================================
--- /branches/avi_play/src/lib/graphics/importer/movie_player.h	(revision 6610)
+++ /branches/avi_play/src/lib/graphics/importer/movie_player.h	(revision 6611)
@@ -17,9 +17,5 @@
 
 #include "glincl.h"
-
-//#include "light.h"
 #include "texture.h"
-//#include "material.h"
-//#include "primitive_model.h"
 
 // include base_object.h since all classes are derived from this one
@@ -29,6 +25,6 @@
 typedef enum MP_STATUS {
   PLAY,
-        PAUSE,
-        STOP
+  PAUSE,
+  STOP
 };
 
@@ -37,7 +33,4 @@
 
 private:
-
-  //Model* model;
-  //Material* material;
 
   AVFormatContext* format_context;
@@ -71,16 +64,15 @@
   bool loadMovie(const char* filename);
 
-        void start(float start_time);
-        void resume();
-        void pause();
-        void stop();
+  void start(float start_time);
+  void resume();
+  void pause();
+  void stop();
 
-        void tick(float dt);
-        //const void draw();
-        GLuint getTexture();
+  void tick(float dt);
+  GLuint getTexture();
 
-        void setFPS(float fps);
-        float getFPS();
-        const MP_STATUS getStatus();
+  void setFPS(float fps);
+  float getFPS();
+  const MP_STATUS getStatus();
   void printInformation();
 
@@ -94,5 +86,3 @@
 };
 
-
-
 #endif // _MOVIE_PLAYER
Index: /branches/avi_play/src/story_entities/movie_loader.cc
===================================================================
--- /branches/avi_play/src/story_entities/movie_loader.cc	(revision 6610)
+++ /branches/avi_play/src/story_entities/movie_loader.cc	(revision 6611)
@@ -20,5 +20,4 @@
 #include "graphics_engine.h"
 #include "load_param.h"
-#include "resource_manager.h"
 #include "state.h"
 
@@ -36,7 +35,7 @@
 }
 
-MovieLoader::~MovieLoader()
+MovieLoader::~MovieLoader() 
 {
-  PRINTF(4)("Deleted MoviePlayer\n");
+  delete this->movie_player;
 }
 
@@ -53,34 +52,20 @@
 {
   movie_player->loadMovie(filename);
-
-  PRINTF(0)("\nloaded Movie %s\n\n", filename);
 }
 
 
-ErrorMessage MovieLoader::init()
-{
-
-}
+ErrorMessage MovieLoader::init() {}
 
 
-ErrorMessage MovieLoader::loadData()
-{
-
-}
+ErrorMessage MovieLoader::loadData() {}
 
 
-ErrorMessage MovieLoader::unloadData()
-{
-
-}
+ErrorMessage MovieLoader::unloadData() {}
 
 bool MovieLoader::start()
 {
-  PRINTF(0)("\nMovieLoader INFO:\n");
-  movie_player->printInformation();
-  PRINTF(0)("\n");
-
+  this->movie_player->start(0);
+  
   this->isRunning = true;
-
   this->run();
 }
@@ -98,12 +83,9 @@
   // first timestamp for t = 0
   this->lastFrame = SDL_GetTicks ();
-  this->movie_player->start(0);
 
   while( this->isRunning)
   {
-
     this->tick();
     this->draw();
-
   }
 }
